include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
)


##### smb4knetworkbrowser (shared)

tde_add_kpart( libsmb4knetworkbrowser AUTOMOC
  SOURCES
    smb4knetworkbrowser_part.cpp smb4knetworkbrowser.cpp
    smb4knetworkbrowseritem.cpp smb4knetworkbrowsertooltip.cpp
  LINK tdecore-shared tdeui-shared tdeparts-shared smb4kcore-shared smb4kdialogs-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other files

install(
  FILES smb4knetworkbrowser_part.rc
  DESTINATION ${DATA_INSTALL_DIR}/smb4knetworkbrowserpart
)
